For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all appointments
        • POSTCancel Applicant Appointment: Yardi
        • POSTCreate Applicant Appointment: Yardi
        • PUTUpdate Applicant Appointment: Yardi
        • POSTCancel Lead Appointment: Yardi
        • POSTCreate Lead Appointment: Yardi
        • PUTUpdate Lead Appointment: Yardi
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Yardi (Legacy)Appointments

Update Lead Appointment: Yardi

PUT
/v1/events/appointments/leads/yardi/:event_id
PUT
/v1/events/appointments/leads/yardi/:event_id
$curl -X PUT https://api.propexo.com/v1/events/appointments/leads/yardi/event_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "appointment_date": "2024-01-15",
> "appointment_time": "09:30:00"
>}'
1{
2 "meta": {
3 "job_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
4 },
5 "result": {
6 "event_id": "e1234567-89ab-4cde-f012-3456789abcde",
7 "appointment_date": "2024-01-15",
8 "appointment_time": "09:30:00"
9 }
10}
Update Lead Appointment: Yardi | Interface | Method | |---|---| | ILS Guest Card | ImportYardiGuest_Login |
Was this page helpful?
Previous

Get all charge codes

Next
Built with

Update Lead Appointment: Yardi

InterfaceMethod
ILS Guest CardImportYardiGuest_Login

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

event_idstringRequired
The Propexo unique identifier for the event

Request

This endpoint expects an object.
appointment_datestringRequired
The date when the appointment will occur
appointment_timestringRequiredformat: "(?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)"
The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error